----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Micâh - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

-- namespace
local DF = DOF_namespace
local _

-- verifie si la spe existe dans le tableau
function DF:talent_speExist(spe)
	
	if DF.DF_talents and DF.DF_talents[spe] and DF.DF_talents[spe]~="-" then
		return true
	else
		return false
	end

end

-- ajoute la configname pour cette spe
function DF:talent_setSpeConfig()
	
	DF.DF_talents[DF.playerTalent]=DOF_config.configname
	if DF.environnement["dfcurrenttalentconfigtext"] then
		DF.environnement["dfcurrenttalentconfigtext"]:SetText("|cffffffff    Configuration: "..DOF_config.configname)
	end

end

-- ajoute la configname pour cette spe
function DF:talent_clearSpeConfig()
	
	DF.DF_talents[DF.playerTalent]="-"
	if DF.environnement["dfcurrenttalentconfigtext"] then
		DF.environnement["dfcurrenttalentconfigtext"]:SetText("|cffffffff    Configuration: -")
	end
	
end

-- ajoute la configname pour cette spe
function DF:talent_getSpeConfig(spe)
	
	if DF.DF_talents[spe] then 
		return DF.DF_talents[spe]
	else
		return "-"
	end

end
